Bug 616356 - r300g: 'unknown opcode' message
Summary: r300g: 'unknown opcode' message
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-20 09:08 UTC by Hans de Goede
Modified: 2010-11-15 09:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:45:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2010-07-20 09:08:05 UTC
Steps to Reproduce:
1. yum install methane
2. methane
3. At the first screen press 'g' twice to switch to opengl2 rendering
4. Press space to start
  
Actual results:
Black screen, pressing esc returns to the desktop / where the following
is displayed in the terminal where methane was run from:
r300: Unknown TGSI/RC opcode: CAL
r300: Unknown TGSI/RC opcode: BGNSUB
r300: Unknown TGSI/RC opcode: ENDSUB
r300 FP: Compiler Error:
r500_fragprog_emit.c::translate_rgb_op(): translate_rgb_op: unknown opcode ILLEGAL OPCODE

Using a dummy shader instead.
If there's an 'unknown opcode' message, please file a bug report and attach this log.

Expected results:
Working game

Additional info:
03:00.0 VGA compatible controller: ATI Technologies Inc RV570 [Radeon X1950 Pro] (rev 9a)
03:00.1 Display controller: ATI Technologies Inc RV570 [Radeon X1950 Pro] (secondary) (rev 9a)

Comment 1 Bug Zapper 2010-07-30 12:42:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Dave Airlie 2010-09-26 21:50:53 UTC
does this still happen with latest mesa for F14 in koji?

http://kojipkgs.fedoraproject.org/packages/mesa/7.9/0.8.fc14/

Comment 3 Hans de Goede 2010-11-15 09:45:36 UTC
(In reply to comment #2)
> does this still happen with latest mesa for F14 in koji?
> 
> http://kojipkgs.fedoraproject.org/packages/mesa/7.9/0.8.fc14/

No, its fixed now, closing.


Note You need to log in before you can comment on or make changes to this bug.